Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev1
Class Ipv6AddrTablePdu

    java.lang.Object
      |
      +--java.util.Observable
            |
            +--uk.co.westhawk.snmp.stack.Pdu
                  |
                  +--uk.co.westhawk.snmp.stack.GetNextPdu
                        |
                        +--uk.co.westhawk.examplev1.Ipv6AddrTablePdu

public class Ipv6AddrTablePdu
extends GetNextPdu

The class Ipv6AddrTablePdu. This file is auto generated by the StubBrowser utility, using Mibble. See the uk/co/westhawk/stub/ directory. Make sure that you replace the package name and classname placeholders. Also, move this file to the correct package directory. If these things are not done, this class will not compile correctly!!

Version:
  $Revision: 1.2 $ $Date: 2006/03/23 14:40:58 $

Field Summary
`protected boolean` | `_invalid`
`protected java.lang.Integer` | `_ipv6AddrAnycastFlag`
`protected java.util.HashMap` | `_ipv6AddrAnycastFlagMap`
`protected java.lang.Integer` | `_ipv6AddrPfxLength`
`protected java.lang.Integer` | `_ipv6AddrStatus`
`protected java.util.HashMap` | `_ipv6AddrStatusMap`
`protected java.lang.Integer` | `_ipv6AddrType`
`protected java.util.HashMap` | `_ipv6AddrTypeMap`
`protected int` | `_tmpErrorInd`
`protected int` | `_tmpErrorStat`
`static java.lang.String[]` | `all_oids`
`static java.lang.String[]` | `col_oids`
`static java.lang.String` | `ipv6AddrAnycastFlag_OID`
`static java.lang.String` | `ipv6AddrPfxLength_OID`
`static java.lang.String` | `ipv6AddrStatus_OID`
`static java.lang.String` | `ipv6AddrType_OID`
`static int` | `NO_COL`
`static int` | `NO_OID`
`static int` | `NO_SCAL`
`static java.lang.String[]` | `scal_oids`

Fields inherited from class uk.co.westhawk.snmp.stack.Pdu
`added, answered, context, encodedPacket, errind, errstat, msg_type, reqVarbinds, respVarbinds, snmpv3MsgId`

Constructor Summary
`Ipv6AddrTablePdu(SnmpContextBasisFace con)` Constructor.
`Ipv6AddrTablePdu(SnmpContextBasisFace con, java.util.Observer o)` Constructor that will send the first request immediately.

Method Summary
`void` | `addOids(int index)` This method sets the column index.
`void` | `addOids(Ipv6AddrTablePdu old)` The method addOids is the basis for the GetNext functionality.
`java.lang.Integer` | `getIpv6AddrAnycastFlag()`
`java.lang.String` | `getIpv6AddrAnycastFlagStr()`
`java.lang.Integer` | `getIpv6AddrPfxLength()`
`java.lang.Integer` | `getIpv6AddrStatus()`
`java.lang.String` | `getIpv6AddrStatusStr()`
`java.lang.Integer` | `getIpv6AddrType()`
`java.lang.String` | `getIpv6AddrTypeStr()`
`boolean` | `isInvalid()` Returns if this set of values is invalid.
`protected void` | `new_value(int n, varbind res)` The value of the request is set.
`void` | `setIpv6AddrAnycastFlag(AsnObject new_value)` ipv6AddrAnycastFlag TYPE TruthValue ::= TEXTUAL-CONVENTION ( Status: current Description: Represents a boolean value.
`void` | `setIpv6AddrPfxLength(AsnObject new_value)` ipv6AddrPfxLength OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0..128) Units: bits Access: read-only Status: current Description: The length of the prefix (in bits) associated with the IPv6 address of this entry. )
`void` | `setIpv6AddrStatus(AsnObject new_value)` ipv6AddrStatus OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (1 | 2 | 3 | 4 | 5) Access: read-only Status: current Description: Address status.
`void` | `setIpv6AddrType(AsnObject new_value)` ipv6AddrType OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (1 | 2 | 3) Access: read-only Status: current Description: The type of address.
`java.lang.String` | `toString()` Returns the string representation of the PDU.

Methods inherited from class uk.co.westhawk.snmp.stack.Pdu
`addOid, addOid, addOid, addOid, addOid, addToTrans, getContext, getErrorIndex, getErrorStatus, getErrorStatusString, getMsgType, getReqId, getRequestVarbinds, getResponseVarbinds, isExpectingResponse, isTimedOut, notifyObservers, printVars, send, send, send, sendme, setErrorIndex, setErrorStatus, setErrorStatus, setMsgType, setRetryIntervals, tell_them, toString, waitForSelf`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ipv6AddrPfxLength_OID

    public static final java.lang.String ipv6AddrPfxLength_OID

See Also:
  Constant Field Values

### ipv6AddrType_OID

    public static final java.lang.String ipv6AddrType_OID

See Also:
  Constant Field Values

### ipv6AddrAnycastFlag_OID

    public static final java.lang.String ipv6AddrAnycastFlag_OID

See Also:
  Constant Field Values

### ipv6AddrStatus_OID

    public static final java.lang.String ipv6AddrStatus_OID

See Also:
  Constant Field Values

### NO_SCAL

    public static final int NO_SCAL

See Also:
  Constant Field Values

### NO_COL

    public static final int NO_COL

See Also:
  Constant Field Values

### NO_OID

    public static final int NO_OID

See Also:
  Constant Field Values

### scal_oids

    public static final java.lang.String[] scal_oids

### col_oids

    public static final java.lang.String[] col_oids

### all_oids

    public static final java.lang.String[] all_oids

### _ipv6AddrPfxLength

    protected java.lang.Integer _ipv6AddrPfxLength

### _ipv6AddrTypeMap

    protected java.util.HashMap _ipv6AddrTypeMap

### _ipv6AddrType

    protected java.lang.Integer _ipv6AddrType

### _ipv6AddrAnycastFlagMap

    protected java.util.HashMap _ipv6AddrAnycastFlagMap

### _ipv6AddrAnycastFlag

    protected java.lang.Integer _ipv6AddrAnycastFlag

### _ipv6AddrStatusMap

    protected java.util.HashMap _ipv6AddrStatusMap

### _ipv6AddrStatus

    protected java.lang.Integer _ipv6AddrStatus

### _invalid

    protected boolean _invalid

### _tmpErrorInd

    protected int _tmpErrorInd

### _tmpErrorStat

    protected int _tmpErrorStat

Constructor Detail

### Ipv6AddrTablePdu

    public Ipv6AddrTablePdu(SnmpContextBasisFace con)

  Constructor.

Parameters:
  `con` - The context of the request

### Ipv6AddrTablePdu

    public Ipv6AddrTablePdu(SnmpContextBasisFace con,
                            java.util.Observer o)
                     throws PduException,
                            java.io.IOException

  Constructor that will send the first request immediately.

Parameters:
  `con` - The context of the request
  `o` - the Observer that will be notified when the answer is received

Method Detail

### addOids

    public void addOids(Ipv6AddrTablePdu old)

  The method addOids is the basis for the GetNext functionality. If old is null, it initialises the varbinds from all_oids. If old is not null, it copies the column OIDs from the old Ipv6AddrTablePdu object. so the request continues where the previous one left. Note, the scalars and the columns OIDs are handled differently. The scalars are always copied from the original scal_oids, only the column OIDs are copied from the old Ipv6AddrTablePdu object.

### addOids

    public void addOids(int index)

  This method sets the column index. By doing this, the request will return (only) the row after row index. The index parameters only applies to the column OIDs. The scalars are copied from the original scal_oids.

### new_value

    protected void new_value(int n,
                             varbind res)

  The value of the request is set. This will be called by Pdu.fillin(). I check if the variables are still in range. I do this because I'm only interessed in a part of the MIB. If I would not do this check, I'll get the whole MIB from the starting point, instead of the variables in the table.

  Overrides:
    `new_value` in class `Pdu`
  Parameters:
    `n` - the index of the value
  See Also:
    `Pdu.new_value(int, uk.co.westhawk.snmp.stack.varbind)`

### setIpv6AddrPfxLength

    public void setIpv6AddrPfxLength(AsnObject new_value)

  ipv6AddrPfxLength
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0..128) Units: bits Access: read-only Status: current Description: The length of the prefix (in bits) associated with the IPv6 address of this entry. )

### getIpv6AddrPfxLength

    public java.lang.Integer getIpv6AddrPfxLength()

### setIpv6AddrType

    public void setIpv6AddrType(AsnObject new_value)

  ipv6AddrType
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (1 | 2 | 3) Access: read-only Status: current Description: The type of address. Note that 'stateless(1)' refers to an address that was statelessly autoconfigured; 'stateful(2)' refers to a address which was acquired by via a stateful protocol (e.g. DHCPv6, manual configuration). )

### getIpv6AddrTypeStr

    public java.lang.String getIpv6AddrTypeStr()

### getIpv6AddrType

    public java.lang.Integer getIpv6AddrType()

### setIpv6AddrAnycastFlag

    public void setIpv6AddrAnycastFlag(AsnObject new_value)

  ipv6AddrAnycastFlag
  TYPE TruthValue ::= TEXTUAL-CONVENTION ( Status: current Description: Represents a boolean value. Syntax: [UNIVERSAL 2] INTEGER (1 | 2) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (1 | 2) Access: read-only Status: current Description: This object has the value 'true(1)', if this address is an anycast address and the value 'false(2)' otherwise. )

### getIpv6AddrAnycastFlagStr

    public java.lang.String getIpv6AddrAnycastFlagStr()

### getIpv6AddrAnycastFlag

    public java.lang.Integer getIpv6AddrAnycastFlag()

### setIpv6AddrStatus

    public void setIpv6AddrStatus(AsnObject new_value)

  ipv6AddrStatus
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (1 | 2 | 3 | 4 | 5) Access: read-only Status: current Description: Address status. The preferred(1) state indicates that this is a valid address that can appear as the destination or source address of a packet. The deprecated(2) state indicates that this is a valid but deprecated address that should no longer be used as a source address in new communications, but packets addressed to such an address are processed as expected. The invalid(3) state indicates that this is not valid address which should not appear as the destination or source address of a packet. The inaccessible(4) state indicates that the address is not accessible because the interface to which this address is assigned is not operational. )

### getIpv6AddrStatusStr

    public java.lang.String getIpv6AddrStatusStr()

### getIpv6AddrStatus

    public java.lang.Integer getIpv6AddrStatus()

### isInvalid

    public boolean isInvalid()

  Returns if this set of values is invalid.

### toString

    public java.lang.String toString()

  Description copied from class: `Pdu`
  Returns the string representation of the PDU.

  Overrides:
    `toString` in class `Pdu`
  Returns:
    The string of the PDU

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD